complexType "ActualPrice"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 3 elements
Defined: | globally in fpml-asset-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | currency?, amount, priceExpression
</...>

Content Model Elements (3):

  amount (defined in ActualPrice complexType), currency (defined in ActualPrice complexType), | priceExpression

All Direct / Indirect Based Elements (2):

  grossPrice, netPrice

Known Usage Locations

- As direct type of elements (2):
  grossPrice, netPrice

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="ActualPrice"> <xsd:sequence> <xsd:element minOccurs="0" name="currency" type="Currency"/> <xsd:element name="amount" type="xsd:decimal"/> <xsd:element name="priceExpression" type="PriceExpressionEnum"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
amount

  Type: | xsd:decimal, predefined, simple content

  Specifies the net price amount. In the case of a fixed income security or a convertible bond, this price includes the accrued interests.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="amount" type="xsd:decimal"/>

currency

  Type: | Currency, simple content

  Specifies the currency associated with the net price. This element is not present if the price is expressed in percentage terms (as specified through the priceExpression element).
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="currency" type="Currency"/>

priceExpression

  Type: | PriceExpressionEnum, simple content

  Specifies whether the price is expressed in absolute or relative terms.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "AbsoluteTerms" | - | The price is expressed as an absolute amount.> See: http://www.FpML.org
  "PercentageOfNotional" | - | The price is expressed in percentage of the notional amount. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="priceExpression" type="PriceExpressionEnum"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.